<template lang="pug">
.row.x-user-info.justify-content-center
  .col-12.col-md-6.col-lg-3
    BaseCard
      li(key="user")
        .row
          .col-12.d-flex.justify-content-between.align-items-center
            strong Name
            span {{ user?.name  }}
          .col-12.d-flex.justify-content-between.align-items-center
            strong Login
            span {{ user?.sub  }}
          .col-12.d-flex.justify-content-between.align-items-center
            strong CERN ID
            span {{ user?.cern_person_id }}
          .col-12.d-flex.justify-content-between.align-items-center
            strong Preferred Language
            span {{ user?.cern_preferred_language }}
          .col-12.d-flex.justify-content-between.align-items-center
            strong E-Mail
            span {{ user?.email }}
          .col-12.d-flex.justify-content-between.align-items-center
            strong Roles
            span {{ user?.cern_roles?.join(" ") ?? "" }}
          .col-12.d-flex.justify-content-center.align-items-center.mt-1
            span.badge.badge-secondary.mx-1 USER
            span.badge.badge-primary.mx-1(v-if="isOperator") OPERATOR
            span.badge.badge-danger.mx-1(v-if="isExpert") EXPERT
      li(key="session")
        .row
          .col-12.d-flex.justify-content-between.align-items-center
            strong Auth Time
            span {{ user?.auth_time ?? 0 | b-relativeDateTime  }}
</template>
<script src="./UserInfo.vue.js" />
